{
	"factory": {
		"id": "route-aggregator",
		"type": "entaxy.runtime.route",
		"parent": "route-callable",
		"isAbstract": false,
		"displayName": "AGGREGATOR",
		"description": "The Aggregator from the EIP patterns allows you to combine a number of messages together into a single message. For more details see <a target=\"_blank\" href=\"https://docs.entaxy.ru/entaxy-core/${project.version}/core/route_descriptions.html#_aggregator\">Entaxy docs</a> and <a target=\"_blank\" href=\"https://camel-docs.entaxy.ru/components/${camel-docs.version}/feips/aggregate-eip.html\">Camel docs</a>"
	},
	"entaxy.runtime.route": {
		"targetRouteContainerType": "LIBRARY",
		"routePattern": "AGGREGATOR",
		"routeIsCallable": true
	},
	"fields": {
		"aggregatorId": {
			"type": "String",
			"required": true,
			"isHidden": true,
			"defaultValue": {
				"@CALCULATED": {
					"expression": "${objectId}-aggregator",
					"lazy": false,
					"resultType": "String"
				}
			}
		}
	},
	"outputs": {
		"init": {
			"isDefault": true,
			"config": {
				"configurable": false
			},
			"fields": {
				"aggregatorId": {},
				"routeContent": {
					"displayName": "On-complete route",
					"description": "A route configuration that executes after the aggregation process is finalized. The router that connects the system to other entities in the Entaxy architecture. By default, the message is routed to an entity of the system type. For more details see <a target=\"_blank\" href=\"https://camel-docs.entaxy.ru/manual/${camel-docs.version}/routes.html\">Camel docs</a>"
				},
				"camel_completionTimeout": {
					"group": "completion"
				},
				"camel_completionTimeoutExpression": {
					"group": "completion"
				},
				"camel_completionInterval": {
					"group": "completion"
				},
				"camel_completionSize": {
					"group": "completion"
				},
				"camel_completionSizeExpression": {
					"group": "completion"
				},
				"camel_completionPredicate": {
					"group": "completion"
				},
				"camel_completionFromBatchConsumer": {
					"group": "completion"
				},
				"camel_forceCompletionOnStop": {
					"group": "completion"
				},
				"camel_aggregateControllerRef": {
					"group": "completion"
				},
				"@IMPORT": [
					{
						"sourceFactoryId": "model-aggregate",
						"location": "outputs.init.fields",
						"prefix": ""
					}
				]
			}
		}
	}
}
